﻿'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'     Runtime Version:2.0.50727.3649
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Imports System.Xml.Serialization

'
'This source code was auto-generated by xsd, Version=2.0.50727.3038.
'
Namespace WebService

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True), _
     Global.System.Xml.Serialization.XmlRootAttribute([Namespace]:="", IsNullable:=False)> _
    Partial Public Class CTSQODCreateResponse

        Private dateTimeStampField As CTSQODCreateResponseDateTimeStamp

        Private successFlagField As CTSQODCreateResponseSuccessFlag

        Private orderHeaderField As CTSQODCreateResponseOrderHeader

        Private orderLinesField() As CTSQODCreateResponseOrderLine

        '''<remarks/>
        Public Property DateTimeStamp() As CTSQODCreateResponseDateTimeStamp
            Get
                Return Me.dateTimeStampField
            End Get
            Set(value As CTSQODCreateResponseDateTimeStamp)
                Me.dateTimeStampField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SuccessFlag() As CTSQODCreateResponseSuccessFlag
            Get
                Return Me.successFlagField
            End Get
            Set(value As CTSQODCreateResponseSuccessFlag)
                Me.successFlagField = value
            End Set
        End Property

        '''<remarks/>
        Public Property OrderHeader() As CTSQODCreateResponseOrderHeader
            Get
                Return Me.orderHeaderField
            End Get
            Set(value As CTSQODCreateResponseOrderHeader)
                Me.orderHeaderField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlArrayItemAttribute("OrderLine", IsNullable:=False)> _
        Public Property OrderLines() As CTSQODCreateResponseOrderLine()
            Get
                Return Me.orderLinesField
            End Get
            Set(value As CTSQODCreateResponseOrderLine())
                Me.orderLinesField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseDateTimeStamp

        Private validationStatusField As String

        Private valueField As Date

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Date
            Get
                Return Me.valueField
            End Get
            Set(value As Date)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseSuccessFlag

        Private valueField As Boolean

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(value As Boolean)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeader

        Private sourceField As CTSQODCreateResponseOrderHeaderSource

        Private sourceOrderNumberField As CTSQODCreateResponseOrderHeaderSourceOrderNumber

        Private storeOrderNumberField As CTSQODCreateResponseOrderHeaderStoreOrderNumber

        Private requiredDeliveryDateField As CTSQODCreateResponseOrderHeaderRequiredDeliveryDate

        Private deliveryChargeField As CTSQODCreateResponseOrderHeaderDeliveryCharge

        Private totalOrderValueField As CTSQODCreateResponseOrderHeaderTotalOrderValue

        Private saleDateField As CTSQODCreateResponseOrderHeaderSaleDate

        Private customerAccountNoField As CTSQODCreateResponseOrderHeaderCustomerAccountNo

        Private customerNameField As CTSQODCreateResponseOrderHeaderCustomerName

        Private customerAddressLine1Field As CTSQODCreateResponseOrderHeaderCustomerAddressLine1

        Private customerAddressLine2Field As CTSQODCreateResponseOrderHeaderCustomerAddressLine2

        Private customerAddressTownField As CTSQODCreateResponseOrderHeaderCustomerAddressTown

        Private customerAddressLine4Field As CTSQODCreateResponseOrderHeaderCustomerAddressLine4

        Private customerPostcodeField As CTSQODCreateResponseOrderHeaderCustomerPostcode

        Private deliveryAddressLine1Field As CTSQODCreateResponseOrderHeaderDeliveryAddressLine1

        Private deliveryAddressLine2Field As CTSQODCreateResponseOrderHeaderDeliveryAddressLine2

        Private deliveryAddressTownField As CTSQODCreateResponseOrderHeaderDeliveryAddressTown

        Private deliveryAddressLine4Field As CTSQODCreateResponseOrderHeaderDeliveryAddressLine4

        Private deliveryPostcodeField As CTSQODCreateResponseOrderHeaderDeliveryPostcode

        Private contactPhoneHomeField As CTSQODCreateResponseOrderHeaderContactPhoneHome

        Private contactPhoneMobileField As CTSQODCreateResponseOrderHeaderContactPhoneMobile

        Private contactPhoneWorkField As CTSQODCreateResponseOrderHeaderContactPhoneWork

        Private contactEmailField As CTSQODCreateResponseOrderHeaderContactEmail

        Private deliveryInstructionsField As CTSQODCreateResponseOrderHeaderDeliveryInstructions

        Private toBeDeliveredField As CTSQODCreateResponseOrderHeaderToBeDelivered

        Private createDeliveryChargeItemField As CTSQODCreateResponseOrderHeaderCreateDeliveryChargeItem

        Private loyaltyCardNumberField As CTSQODCreateResponseOrderHeaderLoyaltyCardNumber

        Private extendedLeadTimeField As CTSQODCreateResponseOrderHeaderExtendedLeadTime

        Private deliveryContactNameField As CTSQODCreateResponseOrderHeaderDeliveryContactName

        Private deliveryContactPhoneField As CTSQODCreateResponseOrderHeaderDeliveryContactPhone

        Private recordSaleOnlyField As CTSQODCreateResponseOrderHeaderRecordSaleOnly

        '''<remarks/>
        Public Property Source() As CTSQODCreateResponseOrderHeaderSource
            Get
                Return Me.sourceField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderSource)
                Me.sourceField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SourceOrderNumber() As CTSQODCreateResponseOrderHeaderSourceOrderNumber
            Get
                Return Me.sourceOrderNumberField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderSourceOrderNumber)
                Me.sourceOrderNumberField = value
            End Set
        End Property

        '''<remarks/>
        Public Property StoreOrderNumber() As CTSQODCreateResponseOrderHeaderStoreOrderNumber
            Get
                Return Me.storeOrderNumberField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderStoreOrderNumber)
                Me.storeOrderNumberField = value
            End Set
        End Property

        '''<remarks/>
        Public Property RequiredDeliveryDate() As CTSQODCreateResponseOrderHeaderRequiredDeliveryDate
            Get
                Return Me.requiredDeliveryDateField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderRequiredDeliveryDate)
                Me.requiredDeliveryDateField = value
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryCharge() As CTSQODCreateResponseOrderHeaderDeliveryCharge
            Get
                Return Me.deliveryChargeField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderDeliveryCharge)
                Me.deliveryChargeField = value
            End Set
        End Property

        '''<remarks/>
        Public Property TotalOrderValue() As CTSQODCreateResponseOrderHeaderTotalOrderValue
            Get
                Return Me.totalOrderValueField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderTotalOrderValue)
                Me.totalOrderValueField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SaleDate() As CTSQODCreateResponseOrderHeaderSaleDate
            Get
                Return Me.saleDateField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderSaleDate)
                Me.saleDateField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property CustomerAccountNo() As CTSQODCreateResponseOrderHeaderCustomerAccountNo
            Get
                Return Me.customerAccountNoField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderCustomerAccountNo)
                Me.customerAccountNoField = value
            End Set
        End Property

        '''<remarks/>
        Public Property CustomerName() As CTSQODCreateResponseOrderHeaderCustomerName
            Get
                Return Me.customerNameField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderCustomerName)
                Me.customerNameField = value
            End Set
        End Property

        '''<remarks/>
        Public Property CustomerAddressLine1() As CTSQODCreateResponseOrderHeaderCustomerAddressLine1
            Get
                Return Me.customerAddressLine1Field
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderCustomerAddressLine1)
                Me.customerAddressLine1Field = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property CustomerAddressLine2() As CTSQODCreateResponseOrderHeaderCustomerAddressLine2
            Get
                Return Me.customerAddressLine2Field
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderCustomerAddressLine2)
                Me.customerAddressLine2Field = value
            End Set
        End Property

        '''<remarks/>
        Public Property CustomerAddressTown() As CTSQODCreateResponseOrderHeaderCustomerAddressTown
            Get
                Return Me.customerAddressTownField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderCustomerAddressTown)
                Me.customerAddressTownField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property CustomerAddressLine4() As CTSQODCreateResponseOrderHeaderCustomerAddressLine4
            Get
                Return Me.customerAddressLine4Field
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderCustomerAddressLine4)
                Me.customerAddressLine4Field = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property CustomerPostcode() As CTSQODCreateResponseOrderHeaderCustomerPostcode
            Get
                Return Me.customerPostcodeField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderCustomerPostcode)
                Me.customerPostcodeField = value
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryAddressLine1() As CTSQODCreateResponseOrderHeaderDeliveryAddressLine1
            Get
                Return Me.deliveryAddressLine1Field
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderDeliveryAddressLine1)
                Me.deliveryAddressLine1Field = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property DeliveryAddressLine2() As CTSQODCreateResponseOrderHeaderDeliveryAddressLine2
            Get
                Return Me.deliveryAddressLine2Field
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderDeliveryAddressLine2)
                Me.deliveryAddressLine2Field = value
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryAddressTown() As CTSQODCreateResponseOrderHeaderDeliveryAddressTown
            Get
                Return Me.deliveryAddressTownField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderDeliveryAddressTown)
                Me.deliveryAddressTownField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property DeliveryAddressLine4() As CTSQODCreateResponseOrderHeaderDeliveryAddressLine4
            Get
                Return Me.deliveryAddressLine4Field
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderDeliveryAddressLine4)
                Me.deliveryAddressLine4Field = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property DeliveryPostcode() As CTSQODCreateResponseOrderHeaderDeliveryPostcode
            Get
                Return Me.deliveryPostcodeField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderDeliveryPostcode)
                Me.deliveryPostcodeField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property ContactPhoneHome() As CTSQODCreateResponseOrderHeaderContactPhoneHome
            Get
                Return Me.contactPhoneHomeField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderContactPhoneHome)
                Me.contactPhoneHomeField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property ContactPhoneMobile() As CTSQODCreateResponseOrderHeaderContactPhoneMobile
            Get
                Return Me.contactPhoneMobileField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderContactPhoneMobile)
                Me.contactPhoneMobileField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property ContactPhoneWork() As CTSQODCreateResponseOrderHeaderContactPhoneWork
            Get
                Return Me.contactPhoneWorkField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderContactPhoneWork)
                Me.contactPhoneWorkField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(IsNullable:=True)> _
        Public Property ContactEmail() As CTSQODCreateResponseOrderHeaderContactEmail
            Get
                Return Me.contactEmailField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderContactEmail)
                Me.contactEmailField = value
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryInstructions() As CTSQODCreateResponseOrderHeaderDeliveryInstructions
            Get
                Return Me.deliveryInstructionsField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderDeliveryInstructions)
                Me.deliveryInstructionsField = value
            End Set
        End Property

        '''<remarks/>
        Public Property ToBeDelivered() As CTSQODCreateResponseOrderHeaderToBeDelivered
            Get
                Return Me.toBeDeliveredField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderToBeDelivered)
                Me.toBeDeliveredField = value
            End Set
        End Property

        '''<remarks/>
        Public Property CreateDeliveryChargeItem() As CTSQODCreateResponseOrderHeaderCreateDeliveryChargeItem
            Get
                Return Me.createDeliveryChargeItemField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderCreateDeliveryChargeItem)
                Me.createDeliveryChargeItemField = value
            End Set
        End Property

        '''<remarks/>
        Public Property LoyaltyCardNumber() As CTSQODCreateResponseOrderHeaderLoyaltyCardNumber
            Get
                Return Me.loyaltyCardNumberField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderLoyaltyCardNumber)
                Me.loyaltyCardNumberField = value
            End Set
        End Property

        '''<remarks/>
        Public Property ExtendedLeadTime() As CTSQODCreateResponseOrderHeaderExtendedLeadTime
            Get
                Return Me.extendedLeadTimeField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderExtendedLeadTime)
                Me.extendedLeadTimeField = value
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryContactName() As CTSQODCreateResponseOrderHeaderDeliveryContactName
            Get
                Return Me.deliveryContactNameField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderDeliveryContactName)
                Me.deliveryContactNameField = value
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryContactPhone() As CTSQODCreateResponseOrderHeaderDeliveryContactPhone
            Get
                Return Me.deliveryContactPhoneField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderDeliveryContactPhone)
                Me.deliveryContactPhoneField = value
            End Set
        End Property

        '''<remarks/>
        Public Property RecordSaleOnly() As CTSQODCreateResponseOrderHeaderRecordSaleOnly
            Get
                Return Me.recordSaleOnlyField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderRecordSaleOnly)
                Me.recordSaleOnlyField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderSource

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderSourceOrderNumber

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderStoreOrderNumber

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderRequiredDeliveryDate

        Private validationStatusField As String

        Private valueField As Date

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute(DataType:="date")> _
        Public Property Value() As Date
            Get
                Return Me.valueField
            End Get
            Set(value As Date)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderDeliveryCharge

        Private validationStatusField As String

        Private valueField As Decimal

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(value As Decimal)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderTotalOrderValue

        Private validationStatusField As String

        Private valueField As Decimal

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(value As Decimal)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderSaleDate

        Private validationStatusField As String

        Private valueField As Date

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute(DataType:="date")> _
        Public Property Value() As Date
            Get
                Return Me.valueField
            End Get
            Set(value As Date)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderCustomerAccountNo

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderCustomerName

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderCustomerAddressLine1

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderCustomerAddressLine2

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderCustomerAddressTown

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderCustomerAddressLine4

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderCustomerPostcode

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderDeliveryAddressLine1

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderDeliveryAddressLine2

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderDeliveryAddressTown

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderDeliveryAddressLine4

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderDeliveryPostcode

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderContactPhoneHome

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderContactPhoneMobile

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderContactPhoneWork

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderContactEmail

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderDeliveryInstructions

        Private instructionLineField() As CTSQODCreateResponseOrderHeaderDeliveryInstructionsInstructionLine

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute("InstructionLine")> _
        Public Property InstructionLine() As CTSQODCreateResponseOrderHeaderDeliveryInstructionsInstructionLine()
            Get
                Return Me.instructionLineField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderDeliveryInstructionsInstructionLine())
                Me.instructionLineField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderDeliveryInstructionsInstructionLine

        Private lineNoField As CTSQODCreateResponseOrderHeaderDeliveryInstructionsInstructionLineLineNo

        Private lineTextField As CTSQODCreateResponseOrderHeaderDeliveryInstructionsInstructionLineLineText

        '''<remarks/>
        Public Property LineNo() As CTSQODCreateResponseOrderHeaderDeliveryInstructionsInstructionLineLineNo
            Get
                Return Me.lineNoField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderDeliveryInstructionsInstructionLineLineNo)
                Me.lineNoField = value
            End Set
        End Property

        '''<remarks/>
        Public Property LineText() As CTSQODCreateResponseOrderHeaderDeliveryInstructionsInstructionLineLineText
            Get
                Return Me.lineTextField
            End Get
            Set(value As CTSQODCreateResponseOrderHeaderDeliveryInstructionsInstructionLineLineText)
                Me.lineTextField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderDeliveryInstructionsInstructionLineLineNo

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderDeliveryInstructionsInstructionLineLineText

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderToBeDelivered

        Private validationStatusField As String

        Private valueField As Boolean

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(value As Boolean)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderCreateDeliveryChargeItem

        Private validationStatusField As String

        Private valueField As Boolean

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(value As Boolean)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderLoyaltyCardNumber

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderExtendedLeadTime

        Private validationStatusField As String

        Private valueField As Boolean

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(value As Boolean)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderDeliveryContactName

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderDeliveryContactPhone

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderHeaderRecordSaleOnly

        Private validationStatusField As String

        Private valueField As Boolean

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(value As Boolean)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderLine

        Private sourceOrderLineNoField As CTSQODCreateResponseOrderLineSourceOrderLineNo

        Private storeOrderLineNoField As CTSQODCreateResponseOrderLineStoreOrderLineNo

        Private productCodeField As CTSQODCreateResponseOrderLineProductCode

        Private productDescriptionField As CTSQODCreateResponseOrderLineProductDescription

        Private totalOrderQuantityField As CTSQODCreateResponseOrderLineTotalOrderQuantity

        Private lineValueField As CTSQODCreateResponseOrderLineLineValue

        Private deliveryChargeItemField As CTSQODCreateResponseOrderLineDeliveryChargeItem

        Private sellingPriceField As CTSQODCreateResponseOrderLineSellingPrice

        Private recordSaleOnlyField As CTSQODCreateResponseOrderLineRecordSaleOnly

        '''<remarks/>
        Public Property SourceOrderLineNo() As CTSQODCreateResponseOrderLineSourceOrderLineNo
            Get
                Return Me.sourceOrderLineNoField
            End Get
            Set(value As CTSQODCreateResponseOrderLineSourceOrderLineNo)
                Me.sourceOrderLineNoField = value
            End Set
        End Property

        '''<remarks/>
        Public Property StoreOrderLineNo() As CTSQODCreateResponseOrderLineStoreOrderLineNo
            Get
                Return Me.storeOrderLineNoField
            End Get
            Set(value As CTSQODCreateResponseOrderLineStoreOrderLineNo)
                Me.storeOrderLineNoField = value
            End Set
        End Property

        '''<remarks/>
        Public Property ProductCode() As CTSQODCreateResponseOrderLineProductCode
            Get
                Return Me.productCodeField
            End Get
            Set(value As CTSQODCreateResponseOrderLineProductCode)
                Me.productCodeField = value
            End Set
        End Property

        '''<remarks/>
        Public Property ProductDescription() As CTSQODCreateResponseOrderLineProductDescription
            Get
                Return Me.productDescriptionField
            End Get
            Set(value As CTSQODCreateResponseOrderLineProductDescription)
                Me.productDescriptionField = value
            End Set
        End Property

        '''<remarks/>
        Public Property TotalOrderQuantity() As CTSQODCreateResponseOrderLineTotalOrderQuantity
            Get
                Return Me.totalOrderQuantityField
            End Get
            Set(value As CTSQODCreateResponseOrderLineTotalOrderQuantity)
                Me.totalOrderQuantityField = value
            End Set
        End Property

        '''<remarks/>
        Public Property LineValue() As CTSQODCreateResponseOrderLineLineValue
            Get
                Return Me.lineValueField
            End Get
            Set(value As CTSQODCreateResponseOrderLineLineValue)
                Me.lineValueField = value
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryChargeItem() As CTSQODCreateResponseOrderLineDeliveryChargeItem
            Get
                Return Me.deliveryChargeItemField
            End Get
            Set(value As CTSQODCreateResponseOrderLineDeliveryChargeItem)
                Me.deliveryChargeItemField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SellingPrice() As CTSQODCreateResponseOrderLineSellingPrice
            Get
                Return Me.sellingPriceField
            End Get
            Set(value As CTSQODCreateResponseOrderLineSellingPrice)
                Me.sellingPriceField = value
            End Set
        End Property

        '''<remarks/>
        Public Property RecordSaleOnly() As CTSQODCreateResponseOrderLineRecordSaleOnly
            Get
                Return Me.recordSaleOnlyField
            End Get
            Set(value As CTSQODCreateResponseOrderLineRecordSaleOnly)
                Me.recordSaleOnlyField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderLineSourceOrderLineNo

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderLineStoreOrderLineNo

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderLineProductCode

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderLineProductDescription

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderLineTotalOrderQuantity

        Private validationStatusField As String

        Private valueField As Decimal

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(value As Decimal)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderLineLineValue

        Private validationStatusField As String

        Private valueField As Decimal

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(value As Decimal)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderLineDeliveryChargeItem

        Private validationStatusField As String

        Private valueField As Boolean

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(value As Boolean)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderLineSellingPrice

        Private validationStatusField As String

        Private valueField As Decimal

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(value As Decimal)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSQODCreateResponseOrderLineRecordSaleOnly

        Private validationStatusField As String

        Private valueField As Boolean

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(value As Boolean)
                Me.valueField = Value
            End Set
        End Property
    End Class
End Namespace
